/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.VDmTablecopy;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VDmTablecopyRecord extends TableRecordImpl<VDmTablecopyRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_dm_tablecopy.fk_element</code>.
     */
    public void setFkElement(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_dm_tablecopy.fk_element</code>.
     */
    public Integer getFkElement() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>common_dd.v_dm_tablecopy.schemaname</code>.
     */
    public void setSchemaname(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_dm_tablecopy.schemaname</code>.
     */
    public String getSchemaname() {
        return (String) get(1);
    }

    /**
     * Setter for <code>common_dd.v_dm_tablecopy.sourceschema</code>.
     */
    public void setSourceschema(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.v_dm_tablecopy.sourceschema</code>.
     */
    public String getSourceschema() {
        return (String) get(2);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VDmTablecopyRecord
     */
    public VDmTablecopyRecord() {
        super(VDmTablecopy.V_DM_TABLECOPY);
    }

    /**
     * Create a detached, initialised VDmTablecopyRecord
     */
    public VDmTablecopyRecord(Integer fkElement, String schemaname, String sourceschema) {
        super(VDmTablecopy.V_DM_TABLECOPY);

        setFkElement(fkElement);
        setSchemaname(schemaname);
        setSourceschema(sourceschema);
        resetChangedOnNotNull();
    }
}
